Loading...
Searching...
No Matches
opencc::ZipResourceProvider Class Reference
Inheritance diagram for opencc::ZipResourceProvider:

## Public Member Functions

| ZipResourceProvider (std::string zipFileName)
| ZipResourceProvider (const ZipResourceProvider &)=delete
ZipResourceProvider & | operator= (const ZipResourceProvider &)=delete
std::string | Resolve (std::string_view resourceName) const override
std::shared_ptr< const Resource > | GetResource (std::string_view resourceName) const override

## Member Function Documentation

## GetResource()

std::shared_ptr< const ResourceProvider::Resource > opencc::ZipResourceProvider::GetResource | ( | std::string_view | resourceName | ) | const

override virtual

Reimplemented from opencc::ResourceProvider.

## Resolve()

std::string opencc::ZipResourceProvider::Resolve | ( | std::string_view | resourceName | ) | const

override virtual

Implements opencc::ResourceProvider.

The documentation for this class was generated from the following files:

- ResourceProvider.hpp
- ResourceProvider.cpp